org.apache.fop.events.model

## Class EventModelParser

- java.lang.Object
- - org.apache.fop.events.model.EventModelParser

-     public final class EventModelParser
      extends java.lang.Object

  This is a parser for the event model XML.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.xml.sax.ContentHandler` | `getContentHandler(EventModel model)` Creates a new ContentHandler instance that you can send the event model XML to.
    `static EventModel` | `parse(javax.xml.transform.Source src)` Parses an event model file into an EventModel instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### parse

          public static EventModel parse(javax.xml.transform.Source src)
                                  throws javax.xml.transform.TransformerException

      Parses an event model file into an EventModel instance.
      Parameters:
        `src` - the Source instance pointing to the XML file
      Returns:
        the created event model structure
      Throws:
        `javax.xml.transform.TransformerException` - if an error occurs while parsing the XML file

    - #### getContentHandler

          public static org.xml.sax.ContentHandler getContentHandler(EventModel model)

      Creates a new ContentHandler instance that you can send the event model XML to. The parsed content is accumulated in the model structure.
      Parameters:
        `model` - the EventModel
      Returns:
        the ContentHandler instance to receive the SAX stream from the XML file

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.